<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) CQFDev					                                     */
/*		email : contact@cqfdev.fr		        	                             	 */
/*      web : http://www.cqfdev.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");


class Filtremail extends PluginsClassiques
{

	function Filtremail()
	{
		$this->PluginsClassiques();
	}

	function post()
	{
        global $res;

	    if (preg_match_all("/\#FILTRE_mail\([\s]*([^,\)]+)[\s]*(?:,[\s]*([^\)]+)*[\s]*)*\)/", $res, $matches, PREG_SET_ORDER))
        {
        	foreach($matches as $match)
	    	{
				$adresse = $match[1];

				$adresse_codee = str_replace(array('@', '.'), array(' (a) ', ' (point) '), $adresse);

			    if (isset($match[2]))
			    {
			    	$sujet = "?subject=".htmlspecialchars($match[2]);
			    }

$code =<<<FINCODE
<script type="text/javascript">
<!--
var adr = '$adresse_codee'.replace(" (a) ", "@").replace(" (point) ", ".");
document.write('<a href="mailto:' + adr + '$sujet">'+adr+'</a>');
// -->
</script>
<noscript>$adresse_codee</noscript>
FINCODE;

				$res = str_replace($match[0], $code, $res);
	    	}
	    }
	}
}
?>